<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return redirect('http://192.168.80.76/admin/#/login');
   // return view('welcome');
});

//微信登录授权获取code
Route::get('/wxLogin/{env}', function ($env) {
    $redirectUrl=urlencode(config('app.globals.WxRedirectUrl'));
    $url="https://open.weixin.qq.com/connect/oauth2/authorize?appid=".config('app.globals.WxAppid')."&redirect_uri=".$redirectUrl."&response_type=code&scope=snsapi_base&state=".$env."#wechat_redirect";
    return redirect($url);
});
//微信登录授权获取openid
Route::get('/wxGetCode','App\Http\Controllers\API\mH5\LoginController@wxGetCode' );
Route::get('/test','App\Http\Controllers\TestController@DBtest' );

//his跳到此路由，再跳转到对应的系统页面
Route::get('/yiji', function (Request $request) {
    $queryString = $request->server('QUERY_STRING'); // 获取原始查询字符串
    //return redirect("http://192.168.80.76/jq_page/appointment.html?".$queryString);
    return redirect("http://192.168.80.76/admin/#/doctorappointment?".$queryString);
});

//cas 登录
Route::get('/casLogin', 'App\Http\Controllers\API\CAS\CasLoginController@login');

Route::get('/compare-items', 'App\Http\Controllers\API\ItemDuiBiController@compareWithTxt')
    ->name('compare.items');
